Skip to content

Suspend a held team

POST
/api/v1/admin/suspension-cases/{id}/teams/{teamId}/suspend
curl --request POST \
--url https://api.deploybase.eu/api/v1/api/v1/admin/suspension-cases/example/teams/example/suspend \
--header 'Authorization: <Authorization>'

The admin decides a held team of this case is suspended after all. It gets the cascade notice (which never names another team). 404 when the team is not in this case; 409 CASE_TEAM_STATE when its row is no longer held, 409 CASE_CLOSED when the case was lifted.

id
required
string

Suspension case ID (UUID)

teamId
required
string

Team ID (UUID)

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
case_id
string
decided_at
string
hold_reason
string
id
string
last_error
string
owner_count
integer
plan_at_decision
string
resolved_at
string
resolved_by
string
role
string
state
string
suspended_by_case
boolean
team_id
string
team_name
string
via_user_id
string

Example generated

{
"data": {
"case_id": "example",
"decided_at": "example",
"hold_reason": "example",
"id": "example",
"last_error": "example",
"owner_count": 1,
"plan_at_decision": "example",
"resolved_at": "example",
"resolved_by": "example",
"role": "example",
"state": "example",
"suspended_by_case": true,
"team_id": "example",
"team_name": "example",
"via_user_id": "example"
},
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Bad Request

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Forbidden

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Not Found

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Conflict

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Internal Server Error

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Service Unavailable

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Live f79d25b6 built